# -*- coding: UTF-8 -*-
'''
rtx - RetroText
Configuration file
'''

import logging 

## define the location of rtx pages
## rtx searches all directories and serves the page from the first one (lowest index)
PAGES[0]="pages/"
PAGES[1]="presentation/"
PAGES[2]="demopages/"

## logging settings:
# loglevel values: DEBUG (all messages) > INFO > WARNING > ERROR > CRITICAL (only cricital messages)
LOGLEVEL=logging.DEBUG

## serial port settings:
PORT="/dev/pts/5"
#PORT="/dev/ttyUSB0"
BAUDRATE="2400"
# if the system is connected directly (null-modem): MODE=direct
# if the system is connected via a modem: MODE=modem
#MODE="modem"
MODE="direct"
# the init strings for the modem, sent serially at startup
MODEM_INIT1="AT&F"
MODEM_INIT2="AT%B1200/75%C0%E0%G1-J0\\N0&G1"
# after rtx receives the "RING" string, it sends the ANSWER string to the modem to answer the call
MODEM_RING="RING"
MODEM_ANSWER="ATA"
